#4135 closed defect (wontfix)

source-builder failure building qemu and qemu4

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 4.11.4
Component: tool/rsb Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The command and the failure:

time ../source-builder/sb-set-builder --mail --mail-to=build@rtems.org --mail-from=joel@rtems.org --log=l-qemu4-4.11.txt --prefix=/home/joel/rtems-cron-411/tools/4.11 devel/qemu4
RTEMS Source Builder - Set Builder, 4.11 (158ad680aed1)
Build Set: devel/qemu4
error: no build set file found: devel/qemu4.bset
Mailing report: build@rtems.org
Traceback (most recent call last):
  File "../source-builder/sb-set-builder", line 25, in <module>
    sb.setbuilder.run()
  File "/home/joel/rtems-cron-411/rtems-source-builder/source-builder/sb/setbuilder.py", line 735, in run
    b.build(deps, mail = mail)
  File "/home/joel/rtems-cron-411/rtems-source-builder/source-builder/sb/setbuilder.py", line 633, in build
    if sizes_valid:
UnboundLocalError: local variable 'sizes_valid' referenced before assignment

Change History (4)

comment:1 Changed on 10/08/20 at 23:03:04 by Chris Johns

This should be fixed on master and back ported. Can this be moved to 4.11.5?

comment:2 Changed on 10/09/20 at 00:31:40 by Joel Sherrill

Only if you can show me how to build qemu now. A release with no way to build qemu is bad.

comment:3 Changed on 10/14/20 at 03:39:43 by Chris Johns

Did qemu4 build for 4.11.1 -> 4.11.3?

comment:4 Changed on 10/14/20 at 03:49:47 by Chris Johns

Resolution: wontfix
Status: assignedclosed

The error log says what is wrong...

error: no build set file found: devel/qemu4.bset

If you wish to have the bug fixed for the special case of posting builds for a build set that does not exist please raise it on master. That fix can then be back ported however all that will give you is the same error message and no RSB crash.

Note: See TracTickets for help on using tickets.